Create or update Streaming Locator

put https://app.mk.io/api/v1/projects/:project_name/media/streamingLocators/:locator_name

Create or update a Streaming Locator. When updating a streaming locator, only start time, end time and suppressed can be modified.

Authentication

Authorization Bearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

project_name string Required
locator_name string Required

Request

This endpoint expects an object.

propertiesobjectStreamingLocatorPutPropertiesRequired
Properties for streaming locator
Show 12 propertiesHide 12 properties
alternativeMediaIdstringOptional
The alternative media id of the asset used by this streaming locator
assetNamestringRequired
The name of the asset used by this streaming locator
contentIdstringOptional1-260 characters
Optional content ID. Only valid when an external key server is used.
contentKeyslist of objectsStreamingLocatorContentKeyOptional
The content keys used by this streaming locator
Show 6 propertiesHide 6 properties
idstringRequired
The id of the content key
labelReferenceInStreamingPolicystringOptional
The label reference in the streaming policy
policyNamestringOptional
The name of the policy
typeenumOptional
The streaming locator content key type
Allowed values:CommonEncryptionCencCommonEncryptionCbcsEnvelopeEncryption
valuestringOptional
The value of the content key
defaultContentKeyPolicyNamestringOptional<=260 characters
The default content key policy name used by this streaming locator.
defaultManifestFilenamestringOptional1-260 characterspattern: ^[A-Za-z0-9 _.,()-]+$
Manifest filename used with streaming endpoints that have urlStyle set to 'Aquila' or 'Unified'. For example: manifest.ism (for MP4 assets), manifest.mpd (for TS assets), index.qfm (for live events)
endTimestringOptionalformat: date-time
The end time of the streaming locator
filterslist of stringsOptional
A list of asset or account filters to apply to the streaming locator.
startTimestringOptionalformat: date-time
The start time of the streaming locator
streamingLocatorIdstringOptional1-260 characterspattern: ^[^\/]+$
The streaming locator id
streamingPolicyNamestringRequired<=260 characters
The name of the streaming policy used by this streaming locator.
You may specify a custom policy by name, or used one of the predefined policies.
To get the list of valid policy options use the GET /api/v1/projects/{project_name}/media/streamingPolicies endpoint.
suppressedbooleanOptionalDefaults to false

Optional configuration for output suppression. A suppressed locator will return a 404 HTTP response to requests, in the same way it would if the startTime had not yet been reached.

The 404 code can be overridden with a different status code by setting preAvailabilityStatusCode in a custom catalog in a Streaming Policy.

Response

200 Updated
idstringOptional
Fully qualified resource ID for the resource. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}
namestringOptional1-260 characterspattern: ^[^\^\'<>%&:\\?/*+]+$
The name of the resource
propertiesobjectStreamingLocatorPropertiesRequired
Properties for streaming locator
Show 14 propertiesHide 14 properties
alternativeMediaIdstringOptional
The alternative media id of the asset used by this streaming locator
assetNamestringRequired
The name of the asset used by this streaming locator
contentIdstringOptional1-260 characters
Optional content ID. Only valid when an external key server is used.
contentKeyslist of objectsStreamingLocatorContentKeyOptional
The content keys used by this streaming locator
Show 6 propertiesHide 6 properties
idstringRequired
The id of the content key
labelReferenceInStreamingPolicystringOptional
The label reference in the streaming policy
policyNamestringOptional
The name of the policy
trackslist of objectsStreamingLocatorTrackSelectionOptional
Not currently supported. The tracks which use this content key
Show 1 propertyHide 1 property
trackSelectionslist of objectsStreamingLocatorTrackPropertyConditionRequired
The track selections
Show 3 propertiesHide 3 properties
operationobjectTrackPropertyCompareOperationRequired
The track property comparison operation
Show 2 propertiesHide 2 properties
EqualstringRequired
The track property comparison operation
UnknownstringRequired
The track property comparison operation
propertystringRequired
The track property to compare against
valuestringRequired
The track property value.
typeenumOptional
The streaming locator content key type
Allowed values:CommonEncryptionCencCommonEncryptionCbcsEnvelopeEncryption
valuestringOptional
The value of the content key
defaultContentKeyPolicyNamestringOptional<=260 characters
The default content key policy name used by this streaming locator.
defaultManifestFilenamestringOptional1-260 characterspattern: ^[A-Za-z0-9 _.,()-]+$
Manifest filename used with streaming endpoints that have urlStyle set to 'Aquila' or 'Unified'. For example: manifest.ism (for MP4 assets), manifest.mpd (for TS assets), index.qfm (for live events)
endTimestringOptionalformat: date-time
The end time of the streaming locator
filterslist of stringsOptional
A list of asset or account filters to apply to the streaming locator.
provisioningStateenumOptional
The provisioning state of the streaming locator. Set by the system. One of InProgress, Succeeded, Failed.
Allowed values:InProgressSucceededFailed
resourceStateenumOptional
The runtime state of the streaming locator. Set by the system.
Allowed values:CreatingUpdatingDeletingCreatedDeletedError
startTimestringOptionalformat: date-time
The start time of the streaming locator
streamingLocatorIdstringOptional1-260 characterspattern: ^[^\/]+$
The streaming locator id
streamingPolicyNamestringRequired<=260 characters
The name of the streaming policy used by this streaming locator.
You may specify a custom policy by name, or used one of the predefined policies.
To get the list of valid policy options use the GET /api/v1/projects/{project_name}/media/streamingPolicies endpoint.
suppressedbooleanOptionalDefaults to false

Optional configuration for output suppression. A suppressed locator will return a 404 HTTP response to requests, in the same way it would if the startTime had not yet been reached.

The 404 code can be overridden with a different status code by setting preAvailabilityStatusCode in a custom catalog in a Streaming Policy.

systemDataobjectSystemDataSchemaOptional
Metadata pertaining to creation and last modification of the resource.
Show 7 propertiesHide 7 properties
createdAtstringRequiredformat: date-time
The timestamp of resource creation (UTC).
createdBystringRequired
The identity that created the resource.
createdByTypeenumRequired
The type of identity that created the resource.
Allowed values:UserApplicationManagedIdentityKey
internalIdstringRequiredformat: uuid
The internal ID of the resource.
lastModifiedAtstringRequiredformat: date-time
The timestamp of resource last modification (UTC).
lastModifiedBystringRequired
The identity that last modified the resource.
lastModifiedByTypeenumRequired
The type of identity that last modified the resource.
Allowed values:UserApplicationManagedIdentityKey
typestringOptional
The type of the resource. E.g. "Microsoft.Media/mediaservices/assets"
201 Created
idstringOptional
Fully qualified resource ID for the resource. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}
namestringOptional1-260 characterspattern: ^[^\^\'<>%&:\\?/*+]+$
The name of the resource
propertiesobjectStreamingLocatorPropertiesRequired
Properties for streaming locator
Show 14 propertiesHide 14 properties
alternativeMediaIdstringOptional
The alternative media id of the asset used by this streaming locator
assetNamestringRequired
The name of the asset used by this streaming locator
contentIdstringOptional1-260 characters
Optional content ID. Only valid when an external key server is used.
contentKeyslist of objectsStreamingLocatorContentKeyOptional
The content keys used by this streaming locator
Show 6 propertiesHide 6 properties
idstringRequired
The id of the content key
labelReferenceInStreamingPolicystringOptional
The label reference in the streaming policy
policyNamestringOptional
The name of the policy
trackslist of objectsStreamingLocatorTrackSelectionOptional
Not currently supported. The tracks which use this content key
Show 1 propertyHide 1 property
trackSelectionslist of objectsStreamingLocatorTrackPropertyConditionRequired
The track selections
Show 3 propertiesHide 3 properties
operationobjectTrackPropertyCompareOperationRequired
The track property comparison operation
Show 2 propertiesHide 2 properties
EqualstringRequired
The track property comparison operation
UnknownstringRequired
The track property comparison operation
propertystringRequired
The track property to compare against
valuestringRequired
The track property value.
typeenumOptional
The streaming locator content key type
Allowed values:CommonEncryptionCencCommonEncryptionCbcsEnvelopeEncryption
valuestringOptional
The value of the content key
defaultContentKeyPolicyNamestringOptional<=260 characters
The default content key policy name used by this streaming locator.
defaultManifestFilenamestringOptional1-260 characterspattern: ^[A-Za-z0-9 _.,()-]+$
Manifest filename used with streaming endpoints that have urlStyle set to 'Aquila' or 'Unified'. For example: manifest.ism (for MP4 assets), manifest.mpd (for TS assets), index.qfm (for live events)
endTimestringOptionalformat: date-time
The end time of the streaming locator
filterslist of stringsOptional
A list of asset or account filters to apply to the streaming locator.
provisioningStateenumOptional
The provisioning state of the streaming locator. Set by the system. One of InProgress, Succeeded, Failed.
Allowed values:InProgressSucceededFailed
resourceStateenumOptional
The runtime state of the streaming locator. Set by the system.
Allowed values:CreatingUpdatingDeletingCreatedDeletedError
startTimestringOptionalformat: date-time
The start time of the streaming locator
streamingLocatorIdstringOptional1-260 characterspattern: ^[^\/]+$
The streaming locator id
streamingPolicyNamestringRequired<=260 characters
The name of the streaming policy used by this streaming locator.
You may specify a custom policy by name, or used one of the predefined policies.
To get the list of valid policy options use the GET /api/v1/projects/{project_name}/media/streamingPolicies endpoint.
suppressedbooleanOptionalDefaults to false

Optional configuration for output suppression. A suppressed locator will return a 404 HTTP response to requests, in the same way it would if the startTime had not yet been reached.

The 404 code can be overridden with a different status code by setting preAvailabilityStatusCode in a custom catalog in a Streaming Policy.

systemDataobjectSystemDataSchemaOptional
Metadata pertaining to creation and last modification of the resource.
Show 7 propertiesHide 7 properties
createdAtstringRequiredformat: date-time
The timestamp of resource creation (UTC).
createdBystringRequired
The identity that created the resource.
createdByTypeenumRequired
The type of identity that created the resource.
Allowed values:UserApplicationManagedIdentityKey
internalIdstringRequiredformat: uuid
The internal ID of the resource.
lastModifiedAtstringRequiredformat: date-time
The timestamp of resource last modification (UTC).
lastModifiedBystringRequired
The identity that last modified the resource.
lastModifiedByTypeenumRequired
The type of identity that last modified the resource.
Allowed values:UserApplicationManagedIdentityKey
typestringOptional
The type of the resource. E.g. "Microsoft.Media/mediaservices/assets"

Errors

400 Bad Request
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
401 Unauthorized
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
403 Forbidden
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
404 Not Found
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
409 Conflict
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
429 Too Many Requests
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
500 Internal Server Error
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code